IEEE80211_GENERIC_FR(9)

NAME
ieee80211_generic_frame_duration - Calculate the duration field for a frame

SYNOPSIS

__le16 ieee80211_generic_frame_duration(struct ieee80211_hw * hw, struct ieee80211_vif * vif, enum ieee80211_band band, size_t frame_len, struct ieee80211_rate * rate);

ARGUMENTS

hw
    pointer obtained from ieee80211_alloc_hw.

vif
    struct ieee80211_vif pointer from the add_interface callback.

band
    the band to calculate the frame duration on

frame_len
    the length of the frame.

rate
    the rate at which the frame is going to be transmitted.

DESCRIPTION

Calculate the duration field of some generic frame, given its length and transmission rate (in 100kbps).

RETURN

The duration.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT